Tip: Building QML apps for Symbian (Qt 4.7.0 RC1)



  • At the moment it's not that easy to develop QML based apps for Symbian. The Nokia Qt SDK doesn't include the latest Qt 4.7.0 RC1 for Symbian, and there is no qmlviewer.sis available either. So, what should one do if one wants to play around?

    The easiest way at the moment (on Windows) seems to be:

    Install "Nokia Qt SDK":http://www.forum.nokia.com/info/sw.nokia.com/id/e920da1a-5b18-42df-82c3-907413e525fb/Nokia_Qt_SDK.html

    Instal "Perl":http://www.activestate.com/activeperl/downloads

    Install "S60 5.0 SDK":http://www.forum.nokia.com/info/sw.nokia.com/id/ec866fab-4b76-49f6-b5a5-af0631419e9c/S60_All_in_One_SDKs.html

    Install "Open C 1.7.5":http://www.forum.nokia.com/info/sw.nokia.com/id/91d89929-fb8c-4d66-bea0-227e42df9053/Open_C_SDK_Plug-In.html

    Install "Qt for Symbian 4.7.0 RC1":http://get.qt.nokia.com/qt/source/qt-symbian-opensource-4.7.0-rc1-s60.exe

    Copy the little wrapper code found in for example Qt/4.7.0-rc1-symbian/demos/embedded/qmlflickr

    Build your app with your now autodetected 4.7.0 RC1 in Qt Creator

    Go nuts

    If anybody knows an easier way - feel free to share :)

    The above works fine when making stuff for N97 or other 5.0 / Symbian^1 phones - if you've got an N8 (bastard) then I'm not sure if this still works, but I belive it does.


  • Moderators

    I promise that this will be way easier once the Nokia Qt SDK with Qt 4.7 ships! That will remove the need to do steps 2 to 5 as Qt 4.7 will come in a nice package.

    If you are using Qt Creator from master then you might have noticed that it already includes a wizard to set up code similar to the one copied in step 6 for you.

    We can not get rid of the building step for you, but I recommend skipping step 8 even at this time.



  • Didn't know about the Wizard Tobias, thanks for the tip.

    As for step 8, it is not an optional step - it's required! ;D



  • [quote author="Tobias Hunger" date="1284102779"]I promise that this will be way easier once the Nokia Qt SDK with Qt 4.7 ships! That will remove the need to do steps 2 to 5 as Qt 4.7 will come in a nice package.

    If you are using Qt Creator from master then you might have noticed that it already includes a wizard to set up code similar to the one copied in step 6 for you.

    We can not get rid of the building step for you, but I recommend skipping step 8 even at this time.[/quote]

    Any idea when Nokia Qt SDK with Qt 4.7 is expected to ship.



  • QtK, may be by Nokia Developer Days:)



  • gonna check this out soon. Thank you!


  • Moderators

    QtK: Sorry, I am not involved with release planning. I do not know.



  • [quote author="QtK" date="1284358693"]
    Any idea when Nokia Qt SDK with Qt 4.7 is expected to ship. [/quote]

    My guess is not in several months actually. The N8 comes with 4.6 and I'm not sure they'll update the Nokia Qt SDK before they've gotten upgrades for the N8 ready....

    Or, they could start having both 4.6 and 4.7 included in the same Nokia Qt SDK - but that would mean a lot more work for them to build and package boths for the SDK



  • Hello, My name is Igor, I have some trouble with QT :
    device : Nokia 5800 Xpress Music,

    Operation System : Windows 7 x64 7600

    Now im installed : Nokia QT SDK offline v1_0_en, Active Perl 5_12_2 Win7 X64,

    C++ plugin;

    When im compile my test project, when select Emulator in to Emul my program is work, but when compile release to device, Take error : "General Os Error", when manual copy *.sis file to mobile and install Take error : "No QT Component found" and application not run...


  • Moderators

    Mimik: Please open a new topic for your problem the next time. It is somewhat rude to hijack the problem somebody else has.

    Your issue seems to be that no Qt is installed on your device.



  • but, for work my programs, im must install QT to my mobile device???



  • Use smartinstaller for creating your package (for symbian): qmake && make && make installer_sis

    Maemo's already had qt libraries.



  • [quote author="Mimik" date="1284459146"]but, for work my programs, im must install QT to my mobile device???[/quote]

    For devices running Symbian versions prior to Symbian^3, yes, you must install Qt. Using smart installer makes the process (almost) transparent for users.

    Again, open a new thread to discuss your issue, it's not directly related with this one.



  • [quote author="anselmolsm" date="1284461043"]
    Again, open a new thread to discuss your issue, it's not directly related with this one.[/quote]

    Sorry, I did not see that "another thread was created":http://developer.qt.nokia.com/forums/viewthread/880/ =P .

    Let's keep this one about QML, 4.7 on Symbian =)



  • This shows me the 4.7 in the path and as a separate "desktop" build config, but if I want to build it for a symbian device, my only option is still the one that came with the Nokia SDK which is 4.6.3.

    What am I doing wrong?

    Also, since 4.7 came out today, how soon until we get a new Nokia SDK?



  • [quote author="pmalolepsy" date="1285146573"]This shows me the 4.7 in the path and as a separate "desktop" build config, but if I want to build it for a symbian device, my only option is still the one that came with the Nokia SDK which is 4.6.3.

    What am I doing wrong?

    Also, since 4.7 came out today, how soon until we get a new Nokia SDK?[/quote]

    Did you install all the parts above, and did you install them in that order?

    This approach will work with the final release of 4.7.0 that just came out as well btw.

    The Qt guys should reply as to when 4.7 gets into the Nokia Qt SDK



  • snowpong, I guess, it would be better:

    1. Instal Perl
    2. Install Java
    3. Install S60 5.0 SDK


  • Can someone please explain why steps 2 to 4 are required for QML (with C++) apps? I'm new to Qt and trying to build an app for a Nokia N97 device.

    Thanks.



  • [quote author="pmalolepsy" date="1285146573"]This shows me the 4.7 in the path and as a separate "desktop" build config, but if I want to build it for a symbian device, my only option is still the one that came with the Nokia SDK which is 4.6.3.

    What am I doing wrong?

    Also, since 4.7 came out today, how soon until we get a new Nokia SDK?[/quote]

    I'm having the same problem. Am I missing something? I followed all the steps mentioned.

    Thanks.



  • I followed the steps (chose the default install options for everything) and manually added the 4.7.0 build configuration with the following:

    Version Name 4.7.0
    qmake location: c:\qt\4.7.0\bin\qmake.exe
    S60 SDK: C:\Nokia\devices\Nokia_Symbian3_SDK_v0.9
    CSL/GCCE Directory: C:\Nokia\devices\Nokia_Symbian3_SDK_v0.9\epoc32\release\gcce

    ...and when I open the qmlflickr project I can choose QT 4.7 for Symbian however when I try to build qmlflickr I get the error:

    :: error: No rule to make target \Nokia\devices\Nokia_Symbian3_SDK_v0.9\epoc32\release\gcce\udeb\qtmain.lib', needed by\Nokia\devices\Nokia_Symbian3_SDK_v0.9\epoc32\release\gcce\udeb\qmlflickr.exe'. Stop.

    QML for Nokia sounded very simple and easy to make apps now, even bought a N8 to give it a go...erm with all these steps and so many things to install doesn't seem to be the case at all :-§


Log in to reply
 

Looks like your connection to Qt Forum was lost, please wait while we try to reconnect.